% define optical system
cv = [ 0 0.034654 -0.005408 0];
th = [ 0 1 49.42301 0];
rn = [ 1 1.5 1 1 ];

%  trace ray through edge of pupil

y =  linspace(0,1,6)';
ye = trig_ray(y*6.25, 0, cv, th, rn);
[y ye]


%  fit wavefront

lambda = 0.00055;
ua = -0.125;
epsilon = abs(lambda/ua);

d = - ye/epsilon;
c = [ 2*y 4*y.^3 6*y.^5 ];

a = c\d

diff = d - c*a;
rms = sqrt(sum(diff.*diff)/length(diff))